weka.core.metastore

## Interface MetaStore

- All Known Implementing Classes:
    XMLFileBasedMetaStore

      public interface MetaStore

  Interface for metastore implementations. The metastore is a simple storage place that can be used, as an example, for storing named configuration settings (e.g. general application settings, reusable database connections etc.).
  Version:
    $Revision: 11805 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createStore(java.lang.String storeName)` Create a named store
    `java.lang.Object` | `getEntry(java.lang.String storeName, java.lang.String name, java.lang.Class<?> clazz)` Get a named entry from the store
    `java.util.Set<java.lang.String>` | `listMetaStoreEntries(java.lang.String storeName)` Get a list of all entries in a named store
    `java.util.Set<java.lang.String>` | `listMetaStoreEntries(java.lang.String storeName, java.lang.String prefix)` Get a list of all named entries starting with the given prefix
    `java.util.Set<java.lang.String>` | `listMetaStores()` Get a list of all named meta stores
    `void` | `storeEntry(java.lang.String storeName, java.lang.String name, java.lang.Object toStore)` Store a named entry

- - ### Method Detail

    - #### listMetaStores

          java.util.Set<java.lang.String> listMetaStores()
                                                  throws java.io.IOException

      Get a list of all named meta stores
      Returns:
        a list of meta stores
      Throws:
        `java.io.IOException` - if a problem occurs

    - #### listMetaStoreEntries

          java.util.Set<java.lang.String> listMetaStoreEntries(java.lang.String storeName)
                                                        throws java.io.IOException

      Get a list of all entries in a named store
      Parameters:
        `storeName` - the name of the store to get entries for
      Returns:
        a list of all entries in the named store
      Throws:
        `java.io.IOException` - if a problem occurs

    - #### listMetaStoreEntries

          java.util.Set<java.lang.String> listMetaStoreEntries(java.lang.String storeName,
                                                               java.lang.String prefix)
                                                        throws java.io.IOException

      Get a list of all named entries starting with the given prefix
      Parameters:
        `storeName` - the name of the store to get entries for
        `prefix` - the prefix with which to search for entries
      Returns:
        a list of entries
      Throws:
        `java.io.IOException` - if a problem occurs

    - #### createStore

          void createStore(java.lang.String storeName)
                    throws java.io.IOException

      Create a named store
      Parameters:
        `storeName` - the name of the store to create
      Throws:
        `java.io.IOException` - if a problem occurs

    - #### getEntry

          java.lang.Object getEntry(java.lang.String storeName,
                                    java.lang.String name,
                                    java.lang.Class<?> clazz)
                             throws java.io.IOException

      Get a named entry from the store
      Parameters:
        `storeName` - the name of the store to use
        `name` - the full name of the entry to retrieve
        `clazz` - the expected class of the entry when deserialized
      Returns:
        the deserialized entry or null if the name does not exist in the store
      Throws:
        `java.io.IOException` - if the deserialized entry does not match the expected class

    - #### storeEntry

          void storeEntry(java.lang.String storeName,
                          java.lang.String name,
                          java.lang.Object toStore)
                   throws java.io.IOException

      Store a named entry
      Parameters:
        `storeName` - the name of the store to use
        `name` - the full name of the entry to store
        `toStore` - a beans compliant object to store
      Throws:
        `java.io.IOException` - if a problem occurs